local OnEvent = {}
local UpdateInterval = 1
local TimeSinceLastUpdate = 0
local UpdateEventNext = 0
local frame = CreateFrame("Frame")
frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
frame:SetScript("OnEvent",function(_, e, ...)OnEvent[e](...)end)


function OnEvent.COMBAT_LOG_EVENT_UNFILTERED(...)
   local timestamp, type, hideCaster, sourceGUID, sourceName, sourceFlags, sourceFlags2, destGUID, destName, destFlags, destFlags2 = select(1, ...)
   if (type == "SPELL_CAST_START") then
      local spellId, spellName, spellSchool = select(12, ...)
      if(spellId == 180300) then
         UpdateInterval = 0.5
         UpdateEventNext = 6
      end
   end
   
end
frame:SetScript("OnUpdate", function(self, elapsed)
      TimeSinceLastUpdate = TimeSinceLastUpdate + elapsed; 
      while (TimeSinceLastUpdate > UpdateInterval) do
         
         TimeSinceLastUpdate = TimeSinceLastUpdate - UpdateInterval;
         if(UpdateEventNext == 6 or UpdateEventNext == 3)then
            UpdateInterval = 1
            PlaySoundFile("Interface\\AddOns\\VelhariHelper\\beep_long_a.mp3", "Master")
         elseif (UpdateEventNext == 5 or UpdateEventNext == 2) then
            PlaySoundFile("Interface\\AddOns\\VelhariHelper\\beep_long_a.mp3", "Master")
         elseif (UpdateEventNext == 4 or UpdateEventNext == 1) then
            PlaySoundFile("Interface\\AddOns\\VelhariHelper\\beep_long_b.mp3", "Master")
         end
         UpdateEventNext = UpdateEventNext - 1
         
      end
end)